package udp;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.net.SocketException;
import java.net.UnknownHostException;
import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;


/**
 *
 * @author votavon1
 */
public class Client {

    public static void main(String[] args) {
        System.out.println("Server started ...");
        DatagramSocket ds = null;
        byte [] buffer = new byte[1024];
        DatagramPacket p = new DatagramPacket(buffer, buffer.length);
        try {
            ds = new DatagramSocket();
            p.setAddress(InetAddress.getByName("localhost"));
            p.setPort(50010);
            Scanner sc = new Scanner(System.in);
            String line;
            System.out.print("<< ");
            while((line = sc.nextLine()) != null){
                if("exit".equals(line)) break;
                System.arraycopy(line.getBytes(), 0, buffer, 0, line.length());
                p.setLength(line.length());
                ds.send(p);
                p.setLength(buffer.length);
                ds.receive(p);
                String reply = new String(p.getData(),p.getOffset(),
                        p.getLength());
                System.out.println(">> "+reply);
                System.out.print("<< ");
            }
        } catch (SocketException ex) {
            Logger.getLogger(Client.class.getName()).log(Level.SEVERE, null, ex);
        } catch (UnknownHostException ex){
            Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IOException ex){
            Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
        } finally {
           ds.close();
        }
    }
        
}
